#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 17. Networking Libraries

- Prev

  Serf-1.3.10

- Next

  Text Web Browsers

- Up
- Home

# uhttpmock-0.11.0

## Introduction to uhttpmock

The uhttpmock package contains a library for mocking web service APIs which use HTTP or HTTPS.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://tecnocode.co.uk/downloads/uhttpmock/uhttpmock-0.11.0.tar.xz

- Download MD5 sum: 214226c73bbe9cd62ba987ce717dfc1e

- Download size: 48 KB

- Estimated disk space required: 1.1 MB

- Estimated build time: less than 0.1 SBU (with tests)

### uhttpmock Dependencies

#### Required

libsoup-3.6.4

#### Recommended

GLib-2.82.5 (with GObject Introspection) and Vala-0.56.17

#### Optional

GTK-Doc-1.34.0

## Installation of uhttpmock

Install uhttpmock by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D gtk_doc=false    &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: None
Installed Libraries: libuhttpmock-1.0.so
Installed Directories: /usr/include/libuhttpmock-1.0 and /usr/share/gtk-doc/html/libuhttpmock-1.0

### Short Descriptions

`libuhttpmock-1.0.so` | contains the uhttpmock API functions

- Prev

  Serf-1.3.10

- Next

  Text Web Browsers

- Up
- Home